Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

puppet module generate mvikra-awstats then i have edited init.pp under manisfests:- package { 'awstats': ensure => 'present', }

package { 'GeoIP': ensure => 'installed', require => Package['awstats'], } package { 'perl-Geo-IP': ensure => 'installed', require => Package['awstats'], } package { 'perl-libwww-perl': ensure => 'installed', require => Package['awstats'], }

and now i am trying to install that module with command:- puppet module install mvikra-awstats

Notice: Preparing to install into /etc/puppet/modules ... Notice: Downloading from https://forge.puppetlabs.com ... Error: Could not find release information for this module (mvikra/awstats) (HTTP 410) Error: Try 'puppet help module install' for usage

dono what i am missing here.

puppet module generate mvikra-awstats then i have edited init.pp under manisfests:- package { 'awstats': ensure => 'present', }

package { 'GeoIP': ensure => 'installed', require => Package['awstats'], } package { 'perl-Geo-IP': ensure => 'installed', require => Package['awstats'], } package { 'perl-libwww-perl': ensure => 'installed', require => Package['awstats'], }

and now i am trying to install that module with command:- puppet module install mvikra-awstats

Notice: Preparing to install into /etc/puppet/modules ... Notice: Downloading from https://forge.puppetlabs.com ... Error: Could not find release information for this module (mvikra/awstats) (HTTP 410) Error: Try 'puppet help module install' for usage

dono what i am missing here.

puppet module generate mvikra-awstats then i have edited init.pp under manisfests:- package { 'awstats': ensure => 'present', }

package { 'GeoIP': ensure => 'installed', require => Package['awstats'], } package { 'perl-Geo-IP': ensure => 'installed', require => Package['awstats'], } package { 'perl-libwww-perl': ensure => 'installed', require => Package['awstats'], }

and now i am trying to install that module with command:- puppet module install mvikra-awstats

Notice: Preparing to install into /etc/puppet/modules ... Notice: Downloading from https://forge.puppetlabs.com ... Error: Could not find release information for this module (mvikra/awstats) (HTTP 410) Error: Try 'puppet help module install' for usage

dono what i am missing here.